Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | List of all members
swig::SwigVar_PyObject Struct Reference
Inheritance diagram for swig::SwigVar_PyObject:

## Public Member Functions
| SwigVar_PyObject (PyObject *obj=0)
SwigVar_PyObject & | operator= (PyObject *obj)
| SwigVar_PyObject (PyObject *obj=0)
SwigVar_PyObject & | operator= (PyObject *obj)
Public Member Functions inherited from swig::SwigPtr_PyObject
| SwigPtr_PyObject (const SwigPtr_PyObject &item)
| SwigPtr_PyObject (PyObject *obj, bool initial_ref=true)
SwigPtr_PyObject & | operator= (const SwigPtr_PyObject &item)
| operator PyObject * () const
PyObject * | operator-> () const
| SwigPtr_PyObject (const SwigPtr_PyObject &item)
| SwigPtr_PyObject (PyObject *obj, bool initial_ref=true)
SwigPtr_PyObject & | operator= (const SwigPtr_PyObject &item)
| operator PyObject * () const
PyObject * | operator-> () const

## Additional Inherited Members
Protected Attributes inherited from swig::SwigPtr_PyObject
PyObject * | _obj

## Detailed Description

Definition at line 3333 of file swigfaiss_gpu_wrap.cpp.

The documentation for this struct was generated from the following files:

- /tmp/faiss/python/swigfaiss_gpu_wrap.cpp
- /tmp/faiss/python/swigfaiss_wrap.cpp